"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.queriesFixture = void 0;
const __1 = require("..");
const common_1 = require("../common");
const queriesFixture = ({ page }, use) => __awaiter(void 0, void 0, void 0, function* () {
    const queries = {};
    common_1.queryNames.forEach(name => {
        // @ts-expect-error
        queries[name] = (...args) => __awaiter(void 0, void 0, void 0, function* () {
            const document = yield (0, __1.getDocument)(page);
            // @ts-expect-error
            return __1.queries[name](document, ...args);
        });
    });
    queries.getNodeText = (e) => __awaiter(void 0, void 0, void 0, function* () { return __1.queries.getNodeText(e); });
    yield use(queries);
});
exports.queriesFixture = queriesFixture;
//# sourceMappingURL=element-handle.js.map