import { Fixtures } from '@playwright/test';
import type { Queries as ElementHandleQueries } from './element-handle';
import { queriesFixture as elementHandleQueriesFixture } from './element-handle';
import type { Queries as LocatorQueries } from './locator';
import { queriesFixture as locatorQueriesFixture, queriesFor } from './locator';
import type { Config } from './types';
import { Within } from './types';
declare const elementHandleFixtures: Fixtures;
declare const locatorFixtures: Fixtures;
interface ElementHandleFixtures {
    queries: ElementHandleQueries;
}
interface LocatorFixtures extends Partial<Config> {
    queries: LocatorQueries;
    within: Within;
    registerSelectors: void;
    installTestingLibrary: void;
}
export { configure } from '..';
export type { ElementHandleFixtures as TestingLibraryFixtures, LocatorFixtures };
export { locatorFixtures, locatorQueriesFixture, elementHandleQueriesFixture as fixture, elementHandleFixtures as fixtures, queriesFor, };
