import type { PlaywrightTestArgs, TestFixture } from '@playwright/test';
import type { Config, LocatorQueries as Queries, Within } from '../types';
declare type TestArguments = PlaywrightTestArgs & Config;
declare const options: {
    [k: string]: readonly [any, {
        readonly option: true;
    }];
};
declare const queriesFixture: TestFixture<Queries, TestArguments>;
declare const withinFixture: TestFixture<Within, TestArguments>;
declare const registerSelectorsFixture: [
    TestFixture<void, PlaywrightTestArgs>,
    {
        scope: 'worker';
        auto?: boolean;
    }
];
declare const installTestingLibraryFixture: [
    TestFixture<void, TestArguments>,
    {
        scope: 'test';
        auto?: boolean;
    }
];
export { installTestingLibraryFixture, options, queriesFixture, registerSelectorsFixture, withinFixture, };
export type { Queries };
